Bug 7752 - неверный consoledevs: не активируется на linux console
: неверный consoledevs: не активируется на linux console
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam0_console)
: unstable
: all Linux
: P1 critical
Assigned To:
:
: lists.altlinux.ru/pipermail/sisyphus/...
:
:
:
  Show dependency tree
 
Reported: 2005-08-25 19:22 by
Modified: 2005-08-28 03:05 (History)


Attachments
console.handlers.diff (471 bytes, patch)
2005-08-25 23:14, Dmitry V. Levin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-25 19:22:45
После перехода на 0.80 попытка запустить Xorg выдаёт ошибку доступа к консоли.
Если заменить библиотеку /lib/security/pam_console.so на её же из 0.75, всё
работает.

Прошу заметить:
# strings pam0_console-0.75/lib/security/pam_console.so| grep perms
permsfile=
/etc/security/console.perms
# strings pam0_console-0.80/lib/security/pam_console.so| grep perms
#

Steps to Reproduce:
1. Xorg

Actual Results:  
Fatal server error:
PAM authentication failed, cannot start X server.
        Perhaps you do not have console ownership?


Expected Results:  
Запуск Xorg
------- Comment #1 From 2005-08-25 19:42:58 -------
А если
# mv /var/run/console.lock /var/run/console/
?
------- Comment #2 From 2005-08-25 20:57:21 -------
Что касается замечания, то отвечу другим замечанием, которое можно найти в
конце
файла /usr/share/doc/Linux-PAM-0.80/text/modules/pam_console.

Нужно ещё что-то, чтобы я смог или воспроизвести, либо так догадаться, что там
происходит.
------- Comment #3 From 2005-08-25 22:33:54 -------
А если этих файлов нету7 На самом деле, если после этого вручную
touch /var/run/console/george ,
то всё работает. То есть /var/run/console/george при входе не заводится, а при
выходе, кажется, не удаляется.
Наверное, тут и собака порылась.
------- Comment #4 From 2005-08-25 22:38:14 -------
Файл /var/run/console/$USER действительно не создаётся или это гипотеза?
------- Comment #5 From 2005-08-25 23:14:35 -------
Created an attachment (id=1073) [details]
console.handlers.diff

Temporary fix.
------- Comment #6 From 2005-08-25 23:14:43 -------
при входе через service dm / gdm - создается. Также создается console.lock. 
user:root, group: $USER
при входах через консоли (tty?) эти файлы не создаются.
------- Comment #7 From 2005-08-25 23:16:09 -------
Проблема локализована и будет исправлена в очередной сборке пакета.
Всем спасибо.
------- Comment #8 From 2005-08-26 00:47:21 -------
Fixed in -0.80-alt2
------- Comment #9 From 2005-08-26 01:35:04 -------
после патча - нужно ли что-то перезапускать?
Изменил console handlers, перезашел на tty1 рутом, файлик не появился, только 
файликюзера bdv, вошедшего через gdm
 
------- Comment #10 From 2005-08-26 02:11:10 -------
Нет, это патч прямого действия.

Что касается файликов, то их может быть не более одного, поскольку владеть
устройствами может только первый залогинившийся на консольном устройстве
пользователь.
------- Comment #11 From 2005-08-28 03:05:29 -------
По крайней мере если при запущенном gdm я с консоли вхожу рутом - никаких
файлов 
не создается, в папке пусто.

Потом попробую вообще без dm и переустановив pam (на случай что я не так 
пропатчил)